<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:p1="http://www.zmc.com/flavor/pp" name="si_pp079_mcs_sender" targetNamespace="http://www.zmc.com/flavor/pp" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:documentation />
  <wsp:UsingPolicy wsdl:required="true" />
  <wsp:Policy wsu:Id="OP_si_pp079_mcs_sender" />
  <wsdl:types>
    <xsd:schema xmlns="http://www.hbflavor.com/pp" targetNamespace="http://www.hbflavor.com/pp" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:complexType name="dt_pp079_res">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">SAP response数据类型</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">2cd9f3eedf1611ed815a0000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element maxOccurs="unbounded" name="HEAD">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">6a8b4a7cddb511ed8df300ffbfb14b77</xsd:appinfo>
            </xsd:annotation>
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="TYPE" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">2cdd0cfddf1611ed87c000ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>消息类型</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="INFOTEXT" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">99f0acf8df1611ed87a100ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>消息文本</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="MATNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">e8f9665addab11ed97c500ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>物料编码</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="WERKS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">e8f9665bddab11eda8d600ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>工厂</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="STLAL" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">e8f9665cddab11eda07800ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>可选BOM</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="DATUV" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">99f0e1eedf1611ed95a900ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>开始生效日期</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="STLAN" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">99f0e1efdf1611edca6700ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>BOM用途</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element name="STLST" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">99f0e1f0df1611ed831400ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>BOM状态</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
              </xsd:sequence>
            </xsd:complexType>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="dt_pp079_req">
        <xsd:annotation>
          <xsd:documentation xml:lang="EN">request数据类型</xsd:documentation>
          <xsd:appinfo source="http://sap.com/xi/VersionID">5cb0827edf1a11ed85b20000001b7af6</xsd:appinfo>
        </xsd:annotation>
        <xsd:sequence>
          <xsd:element name="SOURCESYS" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">5d228a6bdf1a11ed86b800ffbfb14b77</xsd:appinfo>
              <xsd:documentation>源系统ID</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element name="TARGETSYS" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">5d228a6cdf1a11edcb4400ffbfb14b77</xsd:appinfo>
              <xsd:documentation>目标系统ID</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element name="UPDATETIME" type="xsd:string">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">5d228a6ddf1a11ed9f2900ffbfb14b77</xsd:appinfo>
              <xsd:documentation>数据时间戳</xsd:documentation>
            </xsd:annotation>
          </xsd:element>
          <xsd:element maxOccurs="unbounded" name="HEAD">
            <xsd:annotation>
              <xsd:appinfo source="http://sap.com/xi/TextID">befcd45addae11ed9a6100ffbfb14b77</xsd:appinfo>
            </xsd:annotation>
            <xsd:complexType>
              <xsd:sequence>
                <xsd:element name="WERKS" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206b1ddac11edc28700ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>工厂</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="DATUV" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206b2ddac11edb76500ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>开始生效日期</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STLAN" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206b3ddac11eda56e00ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>BOM用途</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STLST" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206b4ddac11edbf7000ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>BOM状态</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STKTX" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206b5ddac11edc26400ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>可选文本</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="STLAL" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206b6ddac11edc9b000ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>可选BOM</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MATNR" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206b7ddac11edb87d00ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>父项编码</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="MAKTX" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206b8ddac11ed9f4900ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>父项描述</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="BMENG" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206b9ddac11edbeb700ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>基本数量</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element minOccurs="0" name="BMEIN" type="xsd:string">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206baddac11eda9a900ffbfb14b77</xsd:appinfo>
                    <xsd:documentation>基本单位</xsd:documentation>
                  </xsd:annotation>
                </xsd:element>
                <xsd:element maxOccurs="unbounded" name="ITEM">
                  <xsd:annotation>
                    <xsd:appinfo source="http://sap.com/xi/TextID">918206d1ddac11ed86b900ffbfb14b77</xsd:appinfo>
                  </xsd:annotation>
                  <xsd:complexType>
                    <xsd:sequence>
                      <xsd:element minOccurs="0" name="POSNR" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206bbddac11ed916c00ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>子项序号</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="POSTP" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206bcddac11ed833400ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>项目类别</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="IDNRK" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206bdddac11ed810500ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>子项编码</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="MAKTX" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206beddac11eda95c00ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>子件描述</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="MENGE" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206bfddac11edafa300ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>组件数量</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="MEINS" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c0ddac11edcd1100ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>计量单位</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="AENNR" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c1ddac11edcb6f00ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>工程变更号</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="IDENT" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c2ddac11ed896200ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>项目ID</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="BEIKZ" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c3ddac11edaa8200ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>物料供应标识符</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="ERSKZ" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c4ddac11ed817e00ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>备件标示</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="LGORT" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c5ddac11edab7800ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>生产仓储地点</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="AUSCH" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c6ddac11ed831000ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>组件损 耗率</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="SANKA" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c7ddac11edaae700ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>成本核算标识相关</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="SANFE" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c8ddac11edb08400ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>生产相关</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="POTX1" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206c9ddac11ed8b2b00ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>BOM项目文本1</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="POTX2" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206caddac11ed8d6900ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>BOM项目文本2</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="ALPGR" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206cbddac11edba7f00ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>替代项目组</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="ALPRF" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206ccddac11edbce900ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>优先级</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="ALPST" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206cdddac11edc50c00ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>策略</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="EWAHR" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206ceddac11eda8e100ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>使用可能性</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="FMENG" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206cfddac11edc51000ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>固定损耗数量</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                      <xsd:element minOccurs="0" name="KZKUP" type="xsd:string">
                        <xsd:annotation>
                          <xsd:appinfo source="http://sap.com/xi/TextID">918206d0ddac11ed97f800ffbfb14b77</xsd:appinfo>
                          <xsd:documentation>联产品</xsd:documentation>
                        </xsd:annotation>
                      </xsd:element>
                    </xsd:sequence>
                  </xsd:complexType>
                </xsd:element>
              </xsd:sequence>
            </xsd:complexType>
          </xsd:element>
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
    <xsd:schema xmlns="http://www.zmc.com/flavor/pp" xmlns:p7="http://www.hbflavor.com/pp" targetNamespace="http://www.zmc.com/flavor/pp" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
      <xsd:import namespace="http://www.hbflavor.com/pp" />
      <xsd:element name="mt_pp079_res" type="p7:dt_pp079_res" />
      <xsd:element name="mt_pp079_req" type="p7:dt_pp079_req" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="mt_pp079_req">
    <wsdl:documentation />
    <wsdl:part name="mt_pp079_req" element="p1:mt_pp079_req" />
  </wsdl:message>
  <wsdl:message name="mt_pp079_res">
    <wsdl:documentation />
    <wsdl:part name="mt_pp079_res" element="p1:mt_pp079_res" />
  </wsdl:message>
  <wsdl:portType name="si_pp079_mcs_sender">
    <wsdl:documentation />
    <wsdl:operation name="si_pp079_mcs_sender">
      <wsdl:documentation />
      <wsp:Policy>
        <wsp:PolicyReference URI="#OP_si_pp079_mcs_sender" />
      </wsp:Policy>
      <wsdl:input message="p1:mt_pp079_req" />
      <wsdl:output message="p1:mt_pp079_res" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="si_pp079_mcs_senderBinding" type="p1:si_pp079_mcs_sender">
    <binding transport="http://schemas.xmlsoap.org/soap/http" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    <wsdl:operation name="si_pp079_mcs_sender">
      <operation soapAction="http://sap.com/xi/WebService/soap1.1" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      <wsdl:input>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:input>
      <wsdl:output>
        <body use="literal" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="si_pp079_mcs_senderService">
    <wsdl:port name="HTTP_Port" binding="p1:si_pp079_mcs_senderBinding">
      <address location="http://sappoqas.hbglobal.com:50000/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp079_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
    <wsdl:port name="HTTPS_Port" binding="p1:si_pp079_mcs_senderBinding">
      <address location="https://sappoqas.hbglobal.com:50001/XISOAPAdapter/MessageServlet?senderParty=&amp;senderService=ZMCS_FLAVOR&amp;receiverParty=&amp;receiverService=&amp;interface=si_pp079_mcs_sender&amp;interfaceNamespace=http%3A%2F%2Fwww.zmc.com%2Fflavor%2Fpp" xmlns="http://schemas.xmlsoap.org/wsdl/soap/" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>